Bug 22933 - Matrox G450 help
Matrox G450 help
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.0
i586 Linux
high Severity high
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-12-28 05:35 EST by Need Real Name
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-02 18:09:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-12-28 05:35:57 EST
Hi I just purchased a Matrox G450 video card for my pc.  And i first had the video card installed on windows and it works great.  But 
that is a diffrent story when I go to linux.  During the boot process i received a screen to remove the previous video card setting and 
setup the new video card.  The software seemed to detect every thing but when I would go to test the settings the maching would 
lock up.  So I rebooted to see if i did something wrong, but the same thing happened again. So then i placed the install cd's in and 
when the install program switched from text mode to graphic mode the video was distorted.  I could see an image but not verry well, 
and during the middle of the red hat install it locks up.  But when i place my old Millennium 2 pci video card it work like a champ.  
Wold you know of any reason for this to be happening?  Please help in any way that you can.

Jonathan Vice

P.S. 

Here is a listing of computer hardware that i have:

Tyan S1598 Trinity ATX motherboard
AMD K6-3 400Mhz processor
256 MB PC100 memory
Matrox Millennium G450 32MB-DDR (Matrox Millennium 2 4MB PCI / old)
intel ether pro100
Zoom modem 56K ISA
SB AWE64 value
IBM 30 gig drive IDE 
Sony CD-RW 10x4x32 ATAPI
Kenwood 42X trueX cdrom ATAPI
Zip 100 ATAPI
Comment 1 Bernhard Rosenkraenzer 2000-12-30 13:10:10 EST
What happens if you go to text mode without configuring the video card and run
"Xconfigurator" (as root)?
Comment 2 Need Real Name 2000-12-30 19:27:38 EST
With the g450 card text mode works great and I can login to any account.  But it is when I setup the video card the the video card goes can't 
display a image when Xserver starts.  The autoprobe detects the card, then i set the ammount of memory, color depth, resolution, monitor, 
and so on.  It is when I test the seting the Xserver locks up the machine, and KDE doesn't start up.
Comment 3 Stephen Buchanan 2001-01-02 18:08:57 EST
I am having a very similar problem -- brand new Dell PC with Matrox G450 
32MB DDR, etc. etc.  Graphical install doesn't work at all -- get the initial 
Red Hat screen, distorted and wavy, then it locks up.  I successfully 
installed everything using text mode until it got to the X server 
configuration.  Then, while testing the resolution/refresh, it chooses one 
that is outside the parameters given (the Dell P1110 monitor just doesn't 
support 200KHz!) and doesn't time out.  I finally hard-restarted it, and the 
exact same thing happens when trying to use Xconfigurator.  The monitor 
specs shown (it correctly identifies the monitor) are correct, but it chooses 
a setting that is outside the allowable range, and then locks up.  I have to 
telnet in and reboot (tried killing the X process, no dice) in order to get 
back in.
Comment 4 Mike A. Harris 2001-01-03 02:49:33 EST
The Matrox G450 is not a supported video card.  XFree86 4.0.1 contains
drivers for the G400, G200, G100, but not the G450.  You may or may not
get the card to work with these other card's drivers.  I do know that
Matrox has been working on an XFree86 4.0.x driver in house though, so
you may want to check their website out.  Hopefully their work will get
integrated into a future release of XFree86.
Comment 5 David Sainty 2001-02-04 10:12:25 EST
Yes, the G450 presents a genuine problem with Red Hat Linux 7. It is detected as
a G400, and the symptom is the monitor uses a ridiculously high refresh rate, an
d the system freezes.  Should be better in future XFree86 releases.

Note You need to log in before you can comment on or make changes to this bug.